summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author jpipkin <jpipkin@dawnrazor.org>2010-05-11 22:55:31 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:31 +0200
commit41c2ad8c1599875b34617a772faa990d876200ed (patch)
tree89f42dc8d9329ccf26e5d9583fff57e4098a6552 /system
parent7f15f1a01baf4fc5c5a53504936d512cb51686d6 (diff)
downloadslackbuilds-41c2ad8c1599875b34617a772faa990d876200ed.tar.gz
slackbuilds-41c2ad8c1599875b34617a772faa990d876200ed.tar.xz
system/star: Added to 12.1 repository
Diffstat (limited to 'system')
-rw-r--r--system/star/README18
-rw-r--r--system/star/slack-desc19
-rw-r--r--system/star/star.SlackBuild79
-rw-r--r--system/star/star.info8
4 files changed, 124 insertions, 0 deletions
diff --git a/system/star/README b/system/star/README
new file mode 100644
index 0000000000..d1bd1e7087
--- /dev/null
+++ b/system/star/README
@@ -0,0 +1,18 @@
+star - unique standard tape archiver
+
+star is a very fast tar(1) like tape archiver with improved functionality.
+star includes the first free implementation of POSIX.1-2001 extended tar
+headers, is built on top of libfind, includes a sophisticated diff command,
+and has no limitation on filename length.
+star automatically recognizes standard archive formats and non-standard
+formats, such as gnu, by their deviations from the standard. Star is able
+to archive and restore Access Control Lists for files using POSIX.1-2001
+extended headers.
+
+It is recommended to build star using smake
+(http://cdrecord.berlios.de/private/smake.html)
+
+star installs under /opt/schily/ with other schily applications. Symlinks will
+be created for gnutar, suntar, tar, and several others, so those can be used at
+the command-line in favour of their GNU counterparts by modifying the order of
+of PATH entries.
diff --git a/system/star/slack-desc b/system/star/slack-desc
new file mode 100644
index 0000000000..a7954dca29
--- /dev/null
+++ b/system/star/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+star: star (unique standard tape archiver)
+star:
+star: star is a very fast tar(1) like tape archiver with improved
+star: functionality. star includes the first free implementation of
+star: POSIX.1-2001 extended tar headers, is build on top of libfind,
+star: includes a sophisticated diff command, has no limitation on
+star: filename length. star automatically recognizes standard archive
+star: formats and non-standard formats by their deviations from the
+star: standard. Star is able to archive and restore ACLs for files
+star: using POSIX.1-2001 extended headers.
+star:
diff --git a/system/star/star.SlackBuild b/system/star/star.SlackBuild
new file mode 100644
index 0000000000..2ce6cff572
--- /dev/null
+++ b/system/star/star.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for star
+
+# Written by jpipkin <jpipkin@dawnrazor.org>
+
+# Licensed under the WTFPL
+# http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=star
+VERSION=1.5a89
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-1.5
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-1.5
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+if [ -x /opt/schily/bin/smake ]; then
+ /opt/schily/bin/smake
+ /opt/schily/bin/smake install DESTDIR=$PKG
+else
+ ./Gmake.linux
+ ./Gmake.linux install DESTDIR=$PKG
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir - p $PKG/usr ; mv $PKG/opt/schily/man $PKG/usr
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a BUILD CDDL*txt CONTRIBUTING COPYING Changelog GPL-2.0.txt LGPL-2.1.txt \
+PORTING README.* STATUS.alpha TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+# Fix up some ridiculous ownership/permissions
+chown -R root:root .
+find . -type f -exec chmod u+w {} \;
+find . -type d -exec chmod 0755 {} \;
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/star/star.info b/system/star/star.info
new file mode 100644
index 0000000000..039eab45e2
--- /dev/null
+++ b/system/star/star.info
@@ -0,0 +1,8 @@
+PRGNAM="star"
+VERSION="1.5a89"
+HOMEPAGE="http://cdrecord.berlios.de/private/star.html"
+DOWNLOAD="ftp://ftp.berlios.de/pub/star/alpha/star-1.5a89.tar.bz2"
+MD5SUM="b75a14385aeaa7b8213d481c758f766d"
+MAINTAINER="jpipkin"
+EMAIL="jpipkin@dawnrazor.org"
+APPROVED="rworkman"